'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var GetInstaData = function () {
  function GetInstaData() {
    _classCallCheck(this, GetInstaData);
  }

  _createClass(GetInstaData, null, [{
    key: 'getTopPosts',

    /**
     * @param tag
     * @return top posts object
     *
     * get top posts from searching tag result
    */
    value: function getTopPosts(tag) {
      return _axios2.default.get('https://www.instagram.com/explore/tags/' + encodeURI(tag) + '/').then(function (res) {
        var body = res.data;
        var anchor = body.indexOf('window._sharedData');
        var startIndex = body.indexOf('{"', anchor);
        var endIndex = body.indexOf(';</script>', startIndex);
        var srcScript = body.substring(startIndex, endIndex);
        var parsedData = JSON.parse(srcScript);
        try {
          if (parsedData.entry_data.TagPage[0].tag.top_posts.nodes) {
            return parsedData.entry_data.TagPage[0].tag.top_posts.nodes;
          }
          throw new Error('could not parse instagram data');
        } catch (err) {
          console.error('Failed to parsing instagram data', err);
        }
        return null;
      }).catch(function (err) {
        console.error('Failed to fetch instagram data', err);
      });
    }

    /**
     * @param tag
     * @return recent posts object
     *
     * get recent posts from searching tag result
    */

  }, {
    key: 'getRecentPosts',
    value: function getRecentPosts(tag) {
      return _axios2.default.get('https://www.instagram.com/explore/tags/' + encodeURI(tag) + '/').then(function (res) {
        var body = res.data;
        var anchor = body.indexOf('window._sharedData');
        var startIndex = body.indexOf('{"', anchor);
        var endIndex = body.indexOf(';</script>', startIndex);
        var srcScript = body.substring(startIndex, endIndex);
        var parsedData = JSON.parse(srcScript);
        try {
          if (parsedData.entry_data.TagPage[0].tag.media.nodes) {
            return parsedData.entry_data.TagPage[0].tag.media.nodes;
          }
          throw new Error('could not parse instagram data');
        } catch (err) {
          console.error('Failed to parsing instagram data', err);
        }
        return null;
      }).catch(function (err) {
        console.error('Failed to fetch instagram data', err);
      });
    }
  }]);

  return GetInstaData;
}();

exports.default = GetInstaData;